GlueGen: com.jogamp.common.util.RingBuffer01Base Class Reference

GlueGen v2.6.0-rc-20250706 GlueGen, Native Binding Generator for Java™ (public API).

Public Member Functions | List of all members
com.jogamp.common.util.RingBuffer01Base Class Referenceabstract
Inheritance diagram for com.jogamp.common.util.RingBuffer01Base:
Collaboration diagram for com.jogamp.common.util.RingBuffer01Base:

## Public Member Functions

abstract Ringbuffer< Integer > | createEmpty (int initialCapacity)
abstract Ringbuffer< Integer > | createFull (Integer[] source)
Integer[] | createIntArray (final int capacity, final int startValue)
void | test01_FullRead ()
void | test02_EmptyWrite ()
void | test03_FullReadReset ()
void | test04_EmptyWriteClear ()
void | test05_ReadResetMid01 ()
void | test06_ReadResetMid02 ()
void | test10_GrowEmpty01_Begin ()
void | test11_GrowEmpty02_Begin2 ()
void | test12_GrowEmpty03_End ()
void | test13_GrowEmpty04_End2 ()
void | test20_GrowFull01_Begin ()
void | test21_GrowFull02_Begin1 ()
void | test22_GrowFull03_Begin2 ()
void | test23_GrowFull04_Begin3 ()
void | test24_GrowFull05_End ()
void | test25_GrowFull11_End1 ()
void | test26_GrowFull12_End2 ()
void | test27_GrowFull13_End3 ()

## Detailed Description

Definition at line 37 of file RingBuffer01Base.java.

## Member Function Documentation

## ◆ createEmpty()

abstract Ringbuffer< Integer > com.jogamp.common.util.RingBuffer01Base.createEmpty | ( | int | initialCapacity | ) |

abstract

Reimplemented in com.jogamp.common.util.TestLFRingBuffer01, and com.jogamp.common.util.TestSyncRingBuffer01.

Here is the caller graph for this function:

## ◆ createFull()

abstract Ringbuffer< Integer > com.jogamp.common.util.RingBuffer01Base.createFull | ( | Integer[] | source | ) |

abstract

Reimplemented in com.jogamp.common.util.TestLFRingBuffer01, and com.jogamp.common.util.TestSyncRingBuffer01.

Here is the caller graph for this function:

## ◆ createIntArray()

Integer[] com.jogamp.common.util.RingBuffer01Base.createIntArray | ( | final int | capacity,
|  | final int | startValue
| ) |  |

Definition at line 43 of file RingBuffer01Base.java.

Here is the caller graph for this function:

## ◆ test01_FullRead()

void com.jogamp.common.util.RingBuffer01Base.test01_FullRead | ( |  | ) |

Definition at line 102 of file RingBuffer01Base.java.

Here is the call graph for this function:

## ◆ test02_EmptyWrite()

void com.jogamp.common.util.RingBuffer01Base.test02_EmptyWrite | ( |  | ) |

Definition at line 114 of file RingBuffer01Base.java.

Here is the call graph for this function:

## ◆ test03_FullReadReset()

void com.jogamp.common.util.RingBuffer01Base.test03_FullReadReset | ( |  | ) |

Definition at line 129 of file RingBuffer01Base.java.

Here is the call graph for this function:

## ◆ test04_EmptyWriteClear()

void com.jogamp.common.util.RingBuffer01Base.test04_EmptyWriteClear | ( |  | ) |

Definition at line 149 of file RingBuffer01Base.java.

Here is the call graph for this function:

## ◆ test05_ReadResetMid01()

void com.jogamp.common.util.RingBuffer01Base.test05_ReadResetMid01 | ( |  | ) |

Definition at line 174 of file RingBuffer01Base.java.

Here is the call graph for this function:

## ◆ test06_ReadResetMid02()

void com.jogamp.common.util.RingBuffer01Base.test06_ReadResetMid02 | ( |  | ) |

Definition at line 201 of file RingBuffer01Base.java.

Here is the call graph for this function:

## ◆ test10_GrowEmpty01_Begin()

void com.jogamp.common.util.RingBuffer01Base.test10_GrowEmpty01_Begin | ( |  | ) |

Definition at line 265 of file RingBuffer01Base.java.

## ◆ test11_GrowEmpty02_Begin2()

void com.jogamp.common.util.RingBuffer01Base.test11_GrowEmpty02_Begin2 | ( |  | ) |

Definition at line 269 of file RingBuffer01Base.java.

## ◆ test12_GrowEmpty03_End()

void com.jogamp.common.util.RingBuffer01Base.test12_GrowEmpty03_End | ( |  | ) |

Definition at line 273 of file RingBuffer01Base.java.

## ◆ test13_GrowEmpty04_End2()

void com.jogamp.common.util.RingBuffer01Base.test13_GrowEmpty04_End2 | ( |  | ) |

Definition at line 277 of file RingBuffer01Base.java.

## ◆ test20_GrowFull01_Begin()

void com.jogamp.common.util.RingBuffer01Base.test20_GrowFull01_Begin | ( |  | ) |

Definition at line 326 of file RingBuffer01Base.java.

## ◆ test21_GrowFull02_Begin1()

void com.jogamp.common.util.RingBuffer01Base.test21_GrowFull02_Begin1 | ( |  | ) |

Definition at line 330 of file RingBuffer01Base.java.

## ◆ test22_GrowFull03_Begin2()

void com.jogamp.common.util.RingBuffer01Base.test22_GrowFull03_Begin2 | ( |  | ) |

Definition at line 334 of file RingBuffer01Base.java.

## ◆ test23_GrowFull04_Begin3()

void com.jogamp.common.util.RingBuffer01Base.test23_GrowFull04_Begin3 | ( |  | ) |

Definition at line 338 of file RingBuffer01Base.java.

## ◆ test24_GrowFull05_End()

void com.jogamp.common.util.RingBuffer01Base.test24_GrowFull05_End | ( |  | ) |

Definition at line 342 of file RingBuffer01Base.java.

## ◆ test25_GrowFull11_End1()

void com.jogamp.common.util.RingBuffer01Base.test25_GrowFull11_End1 | ( |  | ) |

Definition at line 346 of file RingBuffer01Base.java.

## ◆ test26_GrowFull12_End2()

void com.jogamp.common.util.RingBuffer01Base.test26_GrowFull12_End2 | ( |  | ) |

Definition at line 350 of file RingBuffer01Base.java.

## ◆ test27_GrowFull13_End3()

void com.jogamp.common.util.RingBuffer01Base.test27_GrowFull13_End3 | ( |  | ) |

Definition at line 354 of file RingBuffer01Base.java.

The documentation for this class was generated from the following file:

- src/junit/com/jogamp/common/util/RingBuffer01Base.java